// handle highlighting of focused elements
( function( $ ) {

  $.fn.extend( {
    /**
     * @param enable
     * @returns {jQueryElement}
     */
    toggleOutline : function( enable ) {
      if ( enable !== undefined || ( ( ( enable !== true && enable !== false ) ) ) ) {
        this.toggleClass( 'outlineVisible' );
      } else {
        if ( enable ) {
          this.addClass( 'outlineVisible' );
        } else {
          this.removeClass( 'outlineVisible' );
        }
      }
      return this;
    }
  } );
} )( jQuery );
